// import presetAttributify from '@unocss/preset-attributify'
import {
  defineConfig,
  presetAttributify,
  presetIcons,
  presetTagify,
  presetWind,
  transformerDirectives,
  transformerVariantGroup,
} from "unocss";

export default defineConfig({
  content: {
    filesystem: ["**/*.{html,js,ts,jsx,tsx,rs,rsx}"],
  },
  cli: {
    entry: {
      patterns: ["**/*.{html,js,ts,jsx,tsx,rs,rsx}"],
      outFile: "./style/uno.css",
    },
  },
  presets: [
    presetAttributify({
      /* preset options */
    }),
    presetTagify({}),
    presetIcons({}),
    presetWind({}),
  ],
  transformers: [transformerDirectives(), transformerVariantGroup()],
});
